[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listPlaces" label="Places"]]
</ol>

<semantic-query
  query='SELECT ?place_name WHERE
    {
      ?place ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?place_name .
      BIND(<[[urlParam "placeiri"]]> as ?place)
     }'
  template="<h3>{{#each bindings}}{{place_name.value}}{{/each}}</h3>">
</semantic-query>

[[# if (hasPermission "forms:ldp:*")]]
  <semantic-link uri="[[urlParam "placeiri"]]" class="btn btn-md btn-primary gap-bottom" >Edit</semantic-link>
[[/if]]

<div class="content">

<dl>

  <dt>Location</dt>
  <dd>
    <semantic-map data-config='{
        "query":"
          PREFIX wdt: <http://www.wikidata.org/prop/direct/>
          SELECT ?wkt ?description  WHERE {
          ?place ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?description ;
            owl:sameAs ?wdPlace .
          SERVICE <https://wikidata.metaphacts.com/sparql> {
            ?wdPlace wdt:P625 ?wkt .
          }
          BIND(<[[urlParam "placeiri"]]> as ?place)
        }"
      }'>
  </dd>

  <dt>Books published here</dt>
  <semantic-table config='{
    "query":"SELECT DISTINCT [[> :queryBooksSelect ]]  WHERE {

        BIND(<[[urlParam "placeiri"]]> as ?place)
        ?subject ecrm:P128_carries/efrbroo:R24i_was_created_through/ecrm:P7_took_place_at ?place .

        [[> :queryBooks]]

        }
        GROUP BY [[> :queryBooksGroup]]
        ORDER BY ?year_published_from ?date_text",
    "layout":{
      "options":{
        "resultsPerPage": 20,
        "showFilter" : false
      }
    },
    "columnConfiguration" : [
      [[> :colConfBooks]]
    ]
  }'>
  </semantic-table>

  [[> :templateDOI iri="placeiri"]]

</dl>

[[> :identifier iri="placeiri"]]

</div>

[[> :footer]]
